org.apache.http.impl.client

## Class RequestWrapper

- java.lang.Object
- - org.apache.http.message.AbstractHttpMessage
  - - org.apache.http.impl.client.RequestWrapper

- All Implemented Interfaces:
    HttpUriRequest, org.apache.http.HttpMessage, org.apache.http.HttpRequest
  Direct Known Subclasses:
    EntityEnclosingRequestWrapper

  Deprecated.
  (4.3) do not use.

      @Deprecated
      public class RequestWrapper
      extends org.apache.http.message.AbstractHttpMessage
      implements HttpUriRequest

  A wrapper class for `HttpRequest`s that can be used to change properties of the current request without modifying the original object.

  This class is also capable of resetting the request headers to the state of the original request.

  Since:
    4.0

- - ### Field Summary

    - ### Fields inherited from class org.apache.http.message.AbstractHttpMessage

      `headergroup, params`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestWrapper(org.apache.http.HttpRequest request)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `abort()` Deprecated. Aborts execution of the request.
    `int` | `getExecCount()` Deprecated.
    `String` | `getMethod()` Deprecated. Returns the HTTP method this request uses, such as `GET`, `PUT`, `POST`, or other.
    `org.apache.http.HttpRequest` | `getOriginal()` Deprecated.
    `org.apache.http.ProtocolVersion` | `getProtocolVersion()` Deprecated.
    `org.apache.http.RequestLine` | `getRequestLine()` Deprecated.
    `URI` | `getURI()` Deprecated. Returns the URI this request uses, such as `http://example.org/path/to/file`.
    `void` | `incrementExecCount()` Deprecated.
    `boolean` | `isAborted()` Deprecated. Tests if the request execution has been aborted.
    `boolean` | `isRepeatable()` Deprecated.
    `void` | `resetHeaders()` Deprecated.
    `void` | `setMethod(String method)` Deprecated.
    `void` | `setProtocolVersion(org.apache.http.ProtocolVersion version)` Deprecated.
    `void` | `setURI(URI uri)` Deprecated.

    - ### Methods inherited from class org.apache.http.message.AbstractHttpMessage

      `addHeader, addHeader, containsHeader, getAllHeaders, getFirstHeader, getHeaders, getLastHeader, getParams, headerIterator, headerIterator, removeHeader, removeHeaders, setHeader, setHeader, setHeaders, setParams`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.http.HttpMessage

      `addHeader, addHeader, containsHeader, getAllHeaders, getFirstHeader, getHeaders, getLastHeader, getParams, headerIterator, headerIterator, removeHeader, removeHeaders, setHeader, setHeader, setHeaders, setParams`

- - ### Constructor Detail

    - #### RequestWrapper

          public RequestWrapper(org.apache.http.HttpRequest request)
                         throws org.apache.http.ProtocolException

      Deprecated.
      Throws:
        `org.apache.http.ProtocolException`

  - ### Method Detail

    - #### resetHeaders

          public void resetHeaders()

      Deprecated.

    - #### getMethod

          public String getMethod()

      Deprecated.
      Description copied from interface: `HttpUriRequest`
      Returns the HTTP method this request uses, such as `GET`, `PUT`, `POST`, or other.
      Specified by:
        `getMethod` in interface `HttpUriRequest`

    - #### setMethod

          public void setMethod(String method)

      Deprecated.

    - #### getProtocolVersion

          public org.apache.http.ProtocolVersion getProtocolVersion()

      Deprecated.
      Specified by:
        `getProtocolVersion` in interface `org.apache.http.HttpMessage`

    - #### setProtocolVersion

          public void setProtocolVersion(org.apache.http.ProtocolVersion version)

      Deprecated.

    - #### getURI

          public URI getURI()

      Deprecated.
      Description copied from interface: `HttpUriRequest`
      Returns the URI this request uses, such as `http://example.org/path/to/file`.

      Note that the URI may be absolute URI (as above) or may be a relative URI.

      Implementations are encouraged to return the URI that was initially requested.

      To find the final URI after any redirects have been processed, please see the section entitled HTTP execution context in the HttpClient Tutorial

      Specified by:
        `getURI` in interface `HttpUriRequest`

    - #### setURI

          public void setURI(URI uri)

      Deprecated.

    - #### getRequestLine

          public org.apache.http.RequestLine getRequestLine()

      Deprecated.
      Specified by:
        `getRequestLine` in interface `org.apache.http.HttpRequest`

    - #### abort

          public void abort()
                     throws UnsupportedOperationException

      Deprecated.
      Description copied from interface: `HttpUriRequest`
      Aborts execution of the request.
      Specified by:
        `abort` in interface `HttpUriRequest`
      Throws:
        `UnsupportedOperationException` - if the abort operation is not supported / cannot be implemented.

    - #### isAborted

          public boolean isAborted()

      Deprecated.
      Description copied from interface: `HttpUriRequest`
      Tests if the request execution has been aborted.
      Specified by:
        `isAborted` in interface `HttpUriRequest`
      Returns:
        `true` if the request execution has been aborted, `false` otherwise.

    - #### getOriginal

          public org.apache.http.HttpRequest getOriginal()

      Deprecated.

    - #### isRepeatable

          public boolean isRepeatable()

      Deprecated.

    - #### getExecCount

          public int getExecCount()

      Deprecated.

    - #### incrementExecCount

          public void incrementExecCount()

      Deprecated.

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.